{
	noUsernameOrPassword: "No username or password provided",
	noIdProvided: "No id provided",
	failedDeleteLogUsers: "Failed to delete log assignments for users ",
	failedInsertMailAcountMissingMandatoryFields: "Failed to insert account. Account Name and Account Email are required.",
	missingMandatoryFields: "Please fill all in mandatory fields",
	failedInsertMailAccountMissingEmail: "Failed to insert account. Account Name and Account Email are required.",
	failedCheckOfDefaultQueue: "Failed check if deleting default queue ",
	cantDeleteDefaultQueue: "Failed to delete queues. You can not delete default queue !",
	failedCheckOfDefaultMailAccount: "Failed check if deleting default mail account ",
	cantDeleteDefaultMailAccount: "Failed to delete mail accounts. You can not delete default mail account !",
	failedDeleteTicketQueueAssignment: "Failed to delete ticket assignments to queues ",
	failedUnsetDefaultQueue: "Failed to unset default queue status",
	failedUnsetDefaultMailAccount: "Failed to unset default mail account status",
	queueMandatoryFields: "Name and Answer time are mandatory values.",
	failedUpdateRuleOrder: "Failed to update rule order ",
	ruleMandatoryFields: "Rule Name is mandatory field",
	missingMandatoryAttributes: "Missing mandatory attributes",
	dbError: "Db error: ",
	checkFailed: "Check failed: ",
	insertFailed: "Insert failed: ",
	updateFailed: "Update failed: ",
	failedDeleteMailUsers: "Failed to delete mail assignments for users ",
	failedDeleteMailAttContent: "Failed to delete attachements content for tickets ",
	failedDeleteMailAttachments: "Failed to delete attachments for tickets ",
	failedDeleteMails: "Failed to delete mails for tickets ",
	failedDeleteTicket: "Failed to delete tickets ",
	unableToLogin: "Unable to login ",
	missingRequiredParameters: "Missing required parameters",
	sessionNotActive: "Session not active",
	failedAgentAuthentification: "Failed Agent authentification",
	failedAdminAuthentification: "Failed Admin authentification",
	cantDeleteYourself: "You can't delete yourself",
	failedDeleteFilters: "Failed to delete filters for users ",
	failedDeleteQueueAgents: "Failed to delete queue assignments for users ",
	failedDeleteTicketOwner: "Failed to delete customer to ticket assignments for users ",
	failedDeleteTicketAgentOwner: "Failed to delete agent to ticket assignments for users ",
	emailSent: "Email sent successfully",
	failedSelectQueue: "Failed to retrieve queue",
	missingDefaultQueue: "Missing Default Queue",
	existMoreDefaultQueues: "Exist more than one Default Queue",
	failedSelectDefaultQueue: "Failed to select Default Queue",
	ticketUpdateFailed: "Failed to update Ticket with error: ",
	deletedAccounts: "Deleted accounts: ",
	deleteAccountsFailed: "Failed to delete accounts: ",
	createdMailAccount: "Created mail account: ",
	createMailAccountFailed: "Failed to create mail account: ",
	startPOP3Read: "Start to read emails from account: ",
	endPOP3Read: "Finished reading emails from account: ",
	pop3ConnectionOpen: "Opened connection to pop3 server: ",
	failedDeleteOldAssignments: "Failed to delete queue-agents assignments",
	failedCreateNewAssignments: "Failed to assign Agents to Queue",
	openedMessage: "Opened message ",
	decodedMessage: "Decoded message ",
	failedRequestEmails: "Failed to request mails with error: ",
	failedRequestTickets: "Failed to request tickets with error: ",
	failedToParseMailBody: "Failed to parse email body of message ",
	failedInsertTicket: "Failed insert new ticket into database with error: ",
	createdNewTicket: "Created new ticket ",
	failedDeleteAgentQueueAssignment: "Failed to delete Queue agents",
	failedSelectAssignedAgentsToQueue: "Failed to select assigned agents to Queue",
	failedDeleteTicketStatuses: "Failed to delete ticket statuses for tickets ",
	noSubjectSpecified: "Without Subject",
	failedUpdateTicket: "Failed to update Ticket",
	agentCanNotDeleteAgentOrAdmin: "Permissions denied. You are not allowed to delete agent or admin users",
	userNotInDatabase: "User with selected email is not registered in our database.",
	emailNotPassedEmailQuality: "Email quality is too low. Mail not sent.",
	noAccessRights: "You don't have access rights",
	noRightsForAttachmentDownload: "You don't have permissions to download this file.",
	notAlloweInDemoMode: "Action not allowed in Demo",
	loading: "Loading...",
	logging: "Login...",
	saving: "Saving...",
	logout: "Logout",
	save: "Save",
	cancel: "Cancel",
	login: "Login",
	password: "Password",
	newPassword: "New Password",
	passwordAgain: "Retype Password again",
	email: "Email",
	toLogin: "Log me in",
	rememberMe: "Remember me on this computer",
	tickets: "Tickets",
	users: "Users",
	settings: "Settings",
	myProfile: "My Profile",
	onlineAgents: "Online Agents",
	name: "Name",
	fromNow: "now",
	loggedInAs: "Logged in as",
	userType: "Type",
	created: "Created",
	dateFormat: "%b %e, %Y",
	dateFormatWithoutYear: "%b %e",
	dateTimeFormat: "%b %e, %Y %H:%M:%S",
	timeFormat: "%H:%M",
	typeAgent: "Agent",
	typeAdmin: "Admin",
	typeUser: "User",
	Delete: "Delete",
	ticketId: "ID",
	customer: "Customer",
	subject: "Subject",
	queue: "Queue",
	_status: "Status",
	priority: "Priority",
	customerDeleted: "Doesn't exist",
	overDue: "Over Due",
	priorityNormal: "Normal",
	priorityLow: "Low",
	priorityHigh: "High",
	priorityImmediate: "Immediate",
	selectSomething: "Please use the checkboxes to select something first",
	mailAccounts: "Mail Accounts",
	parsingRules: "Parsing Rules",
	queues: "Queues",
	logs: "Logs",
	message: "Message",
	logType: "Log Type",
	logLevel: "Log Level",
	ip: "IP",
	order: "Order",
	defaultQueue: "Default Queue",
	setAsDefault: "Set as default",
	add: "Add",
	addTicket: "Add New Ticket",
	queueName: "Queue Name",
	ticketIdPrefix: "Ticket Id Prefix",
	maxAnswerTime: "Max. Answer Time",
	hours: "Hours",
	autorespondIfReceivedNewTicket: "Autorespond If Received New Ticket",
	agents: "Agents",
	editQueue: "Edit Queue",
	emailQuality: "Email Quality",
	wrongEmailFormat: "Wrong Email Format",
	emailNotValidated: "Not validated",
	emailFormatOK: "Domain doesn't exist",
	emailDomainExists: "Domain OK",
	emailAccountExists: " Account OK",
	refresh: "Refresh Rows",
	selectAll: "all",
	selectNone: "none",
	none: "none",
	rows: "Rows ",
	NewQueue: "New Queue",
	public_: "Public",
	publicEveryAgentHasAccess: "(Every agent has access)",
	newUser: "New User Registration",
	fullName: "Full Name",
	incorrectEmail: "Incorrect email address",
	manualUserRegistrationSuccessful: "Manual registration of user was successful",
	manualUserRegistrationFailed: "Manual User registration failed",
	reports: "Reports",
	accessibleForAllAgents: "Accessible for all agents",
	accessibleForAssignedAgents: "Accessible for assigned agents",
	addMailAccount: "Add Mail Account",
	couldNotLoadTemplate: "Ooops, could not load template :(",
	sendingMails: "Sending Mails",
	receivingMails: "Receiving Mails",
	smtpServer: "SMTP Server",
	username: "Username",
	smtpPort: "SMTP Port",
	requireSslConnection: "Require SSL Connection",
	requireAuthentification: "Require Authentification",
	pop3Server: "POP3 Server",
	pop3Port: "POP3 Port",
	accountEmail: "Account Email",
	accountName: "Account Name",
	signature: "Signature",
	useSendmail: "Use Sendmail",
	newTicket: "New Ticket",
	editMailAccount: "Edit Mail Account",
	messageVariables: "Message Variables:",
	autorespondHelp: "${ticket_id}, ${ticket_subject}, ${mail_body}, ${ticket_owner}, ${ticket_url}, ${ticket_link}, ${answer_time}, ${customer_email}, ${customer_name}, ${knowledge_suggestions}",
	autorespond: "Autorespond",
	body: "Body",
	newParsingRule: "New Parsing Rule",
	fromAddress: "From Address",
	toAddress: "To Address",
	isNewTicket: "Is New Ticket ?",
	moveToQueue: "Move to Queue",
	changeToStatus: "Change to Status",
	changeToPriority: "Change to Priority",
	assignToAgent: "Assign to Agent",
	deleteMail: "Delete Mail",
	stopProcessingNext: "Stop processing of next rules",
	editRule: "Edit Rule",
	selectCondition: "... Select Condition ...",
	yes: "Yes",
	no: "No",
	equal: "is Equal",
	notEqual: "is Not Equal",
	contains: "Contains",
	doesntContain: "Doesn't contain",
	regularExpression: "Regular Expression",
	ruleConditions: "Rule Conditions",
	ruleActions: "Rule Actions",
	backToTickets: "Back To Tickets",
	owner: "Owner",
	deleteTicket: "Delete Ticket",
	selection: "Selection",
	changeStatus: "change Status",
	changePriority: "change Priority",
	changeOwner: "change Owner",
	changeQueue: "change Queue",
	update: "Update",
	updating: "Updating...",
	agent: "Agent",
	to: "To",
	from: "From",
	files: "files",
	clickToDownload: "Click to download",
	clickToSeeDetails: "Click to see details",
	reply: "Reply",
	replyAll: "Reply All",
	replyQuote: "Reply &amp; Quote",
	replyQuoteAll: "Reply All &amp; Quote",
	cc: "Cc",
	bcc: "Bcc",
	addCc: "Add Cc",
	addBcc: "Add Bcc",
	removeCc: "Remove Cc",
	removeBcc: "Remove Bcc",
	editSubject: "Edit Subject",
	restoreSubject: "Restore Subject",
	today: "Today",
	yesterday: "yesterday",
	thisWeek: "this week",
	lastWeek: "last week",
	thisMonth: "this month",
	lastMonth: "last month",
	thisYear: "this year",
	lastYear: "last year",
	any: "any",
	last7Days: "last 7 days",
	last30Days: "last 30 days",
	updateFilter: "Apply",
	defaultMailAccount: "Default",
	send: "Send",
	LastUpdate: "Last Update",
	Status: "Status",
	Sending: "Sending",
	SendAndResolve: "Send and Resolve",
	ticketUpdated: "Ticket updated",
	nextMinute: "next minute",
	now: "Now",
	lastMinute: "last minute",
	minutesAgo: " mins ago",
	hourAgo: "hour ago",
	hoursAgo: " hours ago",
	daysAgo: " days ago",
	AttachFile: "Attach a File",
	AttachAnotherFile: "Attach Another File",
	Remove: "Remove",
	Uploading: "Uploading...",
	Filters: "Filters",
	signUp: "I'm new and I want to sign Up",
	forgotPassword: "I forgot my password",
	requestNewPassword: "Request new password",
	newPasswordSent: "New password sent to your email, check your mailbox",
	requestNewPasswordDescription: "New password will be send to your mailbox.",
	_delete: "Delete",
	contactingWebService: "Contacting web service ...",
	passwordsDoesntMatch: "Passwords doesn't match !",
	Updates: "Updates",
	of: "of",
	due: "due",
	whenever: "whenever",
	personalInformation: "Personal Information",
	Clear: "Clear",
	BackToUsers: "Back to Users",
	Tickets: "Tickets",
	Profile: "Profile",
	Logs: "Logs",
	debug: "Debug",
	info: "Info",
	warning: "Warning",
	error: "Error",
	monthsAgo: " months ago",
	weeksAgo: " weeks ago",
	someSecondsAgo: "some secs ago",
	someSecondsToGo: "some seconds",
	minutesToGo: " minutes",
	hoursToGo: " hours",
	daysToGo: " days",
	weeksToGo: " weeks",
	answerTime: "Answer Time",
	queueEmail: "Email",
	fullText: "Full Text Search",
	UserDoesNotExist: "User Does Not Exist",
	TicketDoesNotExist: "Ticket Does Not Exist",
	deleteMails: "Delete Mails",
	notAssigned: "Not Assigned",
	Following: "Following",
	Total: "Total",
	notAnswered: "Not answered",
	ReallyDelete: "Really delete?",
	ReallyDeleteSavedFilter: "Really delete saved filter?",
	ProfileSuccessfullySaved: "Profile Successfully Saved",
	Deleted: "Deleted",
	Updated: "Updated",
	SelectFilter: "Select Filter",
	SaveFilter: "Save Filter",
	SaveFilterAs: "Save Filter As",
	showHeaders: "Show Headers",
	hideHeaders: "Hide Headers",
	PleaseProvideFilterName: "Oops. Your filter name seems to be completely empty. Please try again.",
	createdByServer: "Server",
	newStatus: "changed Status to: ",
	newAgent: "changed owner to: ",
	newQueue: "changed Queue to: ",
	newPriority: "changed Priority to: ",
	showTicketHistory: "Show History",
	hideTicketHistory: "Hide History",
	DeleteFilter: "Delete Filter",
	DeleteSavedFilter: "Delete Saved Filter",
	FilterDeleted: "Filter Deleted",
	Deleting: "Deleting...",
	FilterSaved: "Filter Saved",
	OpenInNewWindow: "Open in a new window",
	forward: "Forward",
	changeUserRole: "Change User Role",
	selectUserType: "Select user type before update !",
	justAdminCanChangeUserType: "Update Failed ! Just Admin can change user type",
	ConfirmPlainText: "Converting this message to plain text will lose some formatting. Are you sure you want to continue?",
	configuration: "Configuration",
	mailsConfiguration: "Mails Settings",
	evalEmailQuality: "Evaluate mail address quality",
	emailQualityHelp: "Server can automatically evaluate if format of mail address is correct, if domain specified in email exist, if on domain is running any mail server and if user account exist on the domain. This can help to identify spammers and avoid sending notifications to nonexisting mail addresses",
	sendRegistrationEmail: "Send email after user registration",
	sendRegistrationEmailHelp: "Send notification mail with user information to new user. If you don't want to allow customers to see their tickets, they don't need access to system and therefore they don't need to be notified about registration",
	sendSystemMails: "Send mails",
	sendSystemMailsHelp: "This setting can switch on/off sending of all emails from system. Switch off this setting just in case you know what you're doing !",
	subjectPrefixes: "Subject prefixes",
	subjectPrefixesHelp: "Comma separated prefixes of subjects, which can be removed from subject value during parsing of mails. Matching of prefixes is case insensitive. Example: re:, fwd:, fw:",
	logsConfiguration: "Logs Settings",
	minLogLevel: "Min. Log Level",
	minLogLevelHelp: "Store log messages of specified log level",
	logFile: "Log File Path",
	logFileHelp: "Path to log file. If empty, logs will be written just into database. In Database will not be stored debug messages. If you don't need debug messages, leave this empty.",
	deleteLogsAfter: "Delete logs after x days",
	deleteLogsAfterHelp: "System can generate thousands of log messages per day. To avoid unlimited growing of database, set number of days, when will be log messages kept in database. Log messages in log file will not be deleted !",
	applicationURL: "Application URL",
	applicationURLHelp: "Specify URL of your application. Should be specified URL of directory, where are directories like 'server' and 'client'. Ending slash is mandatory !",
	tmpPath: "Temporary Directory Path",
	tmpPathHelp: "Specify path to one of your system temporary directories. SupportCenter will use it for storing temporary files during mail parsing. Correctly processed files will be removed from this directory automatically. Ending slash is mandatory ! Example of path on Unix servers: '/tmp/'. Example on windows servers: 'c:/Windows/Temp/'",
	SettingsSuccessfullySaved: "Settings saved.",
	tickets_list: "Browsing tickets",
	users_list: "Browsing users",
	reading: "Reading",
	replying: "Replying",
	writing_new: "Reporting new ticket",
	expandAllMails: "Expand all Mails",
	maxSize: "max size",
	bytes: "B",
	uploadedFileTooBig: "The uploaded file exceeds the upload max file size",
	CouldNotUploadTheFile: "Could not upload the file.",
	sizeOfMailTooBig: "Size of email is bigger as memory_limit of php ! Contact server Administrator to fix this issue.",
	resolveTicket: "Set as Resolved",
	ticketSuccessfullyCreated: "Ticket successfully created",
	reset_: "Reset",
	or: "or",
	submit_: "Submit",
	mailAccount: "Mail Account",
	userTypeChangesWillNotBeSaved: "User Type changes will not be saved. You don't have privileges.",
	failedToSaveTicket: "Failed to save ticket. ",
	mailNotSent: "Failed to send email.",
	showRelatedTickets: "Show all tickets related to selected agents",
	hideTicketIdFromSubject: "Hide ticket id from subjects",
	hideTicketIdFromSubjectHelp: "You can hide ticket ids from subject of mails sent to customers. Ticket identification will be done by header values of mails. If customer will answer by mail client, which doesn't handle correctly mail headers, it could be possible, that customer answers will not be assigned to correct ticket and new ticket will be created for such mails.",
	logins: "Agent Logins",
	loggedIn: "Logged In",
	loggedOut: "Logged Out",
	loginTime: "Login Time",
	stillLoggedIn: "Currently logged in",
	notifyMeByMail: "Notify me by following mail",
	statusChangesTo: "Status changes to",
	queueChangesTo: "Queue changes to",
	priorityChangesTo: "Priority changes to",
	ownerChangesTo: "Owner changes to",
	notificationVariables: "Notification Variables",
	notificationVariablesDescription: "${ticket_id}, ${ticket_subject}, ${mail_body}, ${ticket_owner}, ${ticket_priority}, ${ticket_status}, ${ticket_queue}, ${ticket_url}, ${ticket_link}, ${answer_time}, ${customer_email}, ${customer_name}, ${changed_by}, ${old_priority}, ${old_status}, ${old_owner}, ${old_queue}, ${knowledge_suggestions}, ${custom_[custom field id]}",
	myNotifications: "My Notifications",
	inTicketsOwnedBy: "in Tickets owned by",
	changes: "changes any of following values:",
	answeredByMe: "Answered by me",
	ticketIdFormat: "Ticket Id Format",
	ticketIdFormatHelp: "Every Ticket has assigned Id (also in case it is not visible in subjects). This setting defines format of this id. It is possible to use following values in ID: 9 - will be replaced by any character in range [0-9], z - will be replaced by any character in range [a-z], Z - will be replaced by any character in range [A-Z], X - will be replaced by any character in range [0-9a-zA-Z], all other characters will be copied to Id as you will specify in format. Example of good format is e.g. ZZZ-XXXXX-999",
	openedForUsers: "Opened for users",
	openedForUsersHelp: "(Users can manually post tickets directly to this queue)",
	go: "Go",
	goToTicketId: "Go to Ticket Id",
	custom: "Custom",
	mailBodyCanNotBeEmpty: "Mail Body can't be empty",
	failedToLoadMailAccount: "Failed to load mail account, please contact SupportCenter administrator",
	queueDoesntExists: "Wrong queue definition",
	permissionDenied: "Permission Denied",
	loggedInRange: "Login range",
	NewNotification: "New Notification",
	editNotification: "Edit Notification",
	forwardMeMailIf: "Forward me mail if",
	myMailGateways: "My Mail Gateways",
	NewGateway: "New Mail Gateway",
	editGateway: "Edit Mail Gateway",
	ticketsOwnedBy: "Ticket is owned by",
	DeleteTicket: "Delete Ticket",
	inTicketsAssignedToQueue: "and from Queue",
	inTicketsWithStatus: "and with Status",
	inTicketsWithPriority: "and with Priority",
	applicationConfiguration: "Application Settings",
	defaultLanguage: "Default Language",
	defaultLanguageHelp: "Select language, which will be loaded as default before application will start. In case user will select own language, this setting will not overwrite it.",
	booting: "Starting SupportCenter...",
	loadingLibraries: "Loading libraries ...",
	launchingApplication: "Launching application...",
	divideSameMailToMoreTickets: "Divide Mail to More Tickets",
	divideSameMailToMoreTicketsHelp: "In case one mail (identified by thread-id header parameter) is sent to more mail accounts parsed by SupportCenter, you can choose, that for each instance of this mail will be created new ticket (checkbox activated) or all mails will be assigned to one ticket.",
	KnowledgeBase: "Knowledgebase",
	Url: "Url",
	MetaDescription: "META Description",
	supportPerformance: "Support Performance",
	dateRange: "Date Range",
	groupByPeriod: "Group by",
	groupByDay: "Group by Day",
	groupByWeek: "Group by Week",
	groupByMonth: "Group by Month",
	groupByYear: "Group by Year",
	groupByWeekDay: "Group by Weekday",
	repliedMails: "Replied Mails",
	rightsSettings: "Rights Settings",
	agentDeleteTickets: "Agent can delete tickets",
	agentDeleteTicketsHelp: "Activate this switch, if your agents should have rights to delete tickets",
	agentCanSeeJustOwnQueues: "Agent can see just own Queues",
	agentCanSeeJustOwnQueuesHelp: "If activated, agent can see just Queues, where agent has rights. If unselected, agent can see any queue and change Queue of ticket to any Queue defined in application. Agents rights on tickets are not changed by this switch.",
	fromName: "From Name",
	chartCategory: "Chart Category",
	goToChart: "Go To Chart",
	workTimeSummary: "Work Time Summary",
	workTimeReport: "Work Time",
	minutes: "Minutes",
	timeSpentInApplication: "Time spent in application",
	kiloBytes: "kB",
	megaBytes: "MB",
	gigaBytes: "GB",
	filename: "File Name",
	filetype: "File Type",
	filesize: "File Size",
	fileManager: "File Manager",
	RequestTimeout: "Request Timeout",
	agentCanSeeOwnReports: "Agent can see own Reports",
	agentCanSeeOwnReportsHelp: "If option is enabled, your agents will see Reports menu entry and will have access to own statistic data",
	page: "Page",
	exportTicket2PDF: "Export to PDF",
	failedToLoadTicket: "Failed to load Ticket",
	failedToLoadUser: "Failed to load User",
	hitToTakeEffect: "hit to take effect",
	selectRightQueueForMe: "Select Right Queue For Me",
	delivered: "Delivered",
	notDeliveredYet: "Not delivered yet !",
	deliveryPending: "Pending delivery",
	deliveryError: "Mail delivery failed! Please check outbox!",
	unknownDeliveryStatus: "Unknown delivery status",
	sending: "Sending",
	pending: "Pending",
	lastProcessingTime: "Last Processing",
	notProcessedYet: "Not processed yet",
	sentBy: "Sent By",
	scheduled: "Scheduled At",
	recipients: "Recipients",
	retry_nr: "Retry Nr.",
	retry: "Retry",
	lastRetry: "Last Retry",
	outbox: "Outgoing Mails",
	mailDeletedNotDelivered: "Mail not delivered and deleted from outbox!",
	scheduledAgain: "Mails rescheduled",
	mailDeliverySettings: "Mail Delivery Settings",
	useOutbox: "Deliver mails on background",
	useOutboxHelp: "If activated, all mails will be delivered to user in background and user interface will not be delayed by waiting on mail servers. If not activated, mails will be delivered immediately during client's request.",
	emailSavedToOutbox: "Mail saved to Outbox and will be delivered in background.",
	maxRetryCount: "Retry to deliver mail max",
	maxRetryCountHelp: "Define number of retries of mail delivery in case any error occurs during mail delivery. After this number of retries will mail stay in outbox and needs manual action to deliver it.",
	retryAfterDelay: "Retry to deliver mail after [minutes]",
	retryAfterDelayHelp: "Not delivered mails will try SupportCenter deliver after defined amount of time (minutes).",
	NoMailAccountSelected: "No Mail Account Selected",
	autoresponder: "Autoresponder",
	server: "Server",
	moveToNewTicket: "Move To New Ticket",
	ReallyMoveToNewTicket: "Are you sure, that you want to move this mail to new ticket?",
	movedToNewTicket: "Mail moved to new ticket: ",
	openNowNewTicket: "Do you want to open new ticket ?",
	languageDirection: "ltr",
	saveAsComment: "Save As comment (invisible to customer)",
	recipientsEmpty: "Recipients empty.",
	PublicKnowledge: "Public Knowledge",
	InternalKnowledge: "Internal Knowledge",
	PrivateKnowledge: "Private Knowledge",
	AccessMode: "Access Mode",
	onlineAgentsView: "Online Agents view",
	onlineAgentsViewHelp: "Select who can see information about online agents.",
	AgentsAndAdmins: "Can see Agents and Admins",
	onlyAdmins: "Can see just Admins",
	notDisplayed: "Not displayed",
	priorityIsUsedInTickets: "Can't delete selected priorities. Some are used in existing tickets",
	priorities: "Priorities",
	priorityName: "Name",
	editPriority: "Edit Priority",
	addPriority: "Add New Priority",
	FailedToCreateKnowledgeBaseItem: "Failed to create the Knowledgebase item: ",
	defaultPriority: "Default Priority",
	defaultPriorityHelp: "Select priority level, which will be assigned to new tickets as default value (Parsing Rules can change this value).",
	autoAssignTicketToAgent: "Assign Ticket to Agent on Reply",
	autoAssignTicketToAgentHelp: "If option is selected, ticket will be assigned to agent on every reply of ticket automatically.",
	statusIsUsedInTickets: "Can't delete selected statuses. Some of them are used in existing tickets.",
	statuses: "Statuses",
	statusName: "Name",
	statusColor: "Status Color",
	statusImage: "Status Image",
	editStatus: "Edit Status",
	addStatus: "Add New Status",
	oneLetterValue: "(max. 1 letter [0-9] or [a-z] value)",
	notAllowedToDeleteSystemStatus: "You can't delete system status",
	priorityHasToBeGreaterAsZero: "Please select priority greater as zero!",
	notifications: "Notifications",
	createdBy: "Created By",
	ticketOwner: "Ticket Owner (Agent)",
	otherRecipients: "Other Recipients email addresses separated by commas",
	answeredBy: "Answered by ",
	mailTemplates: "Mail Templates",
	systemHealth: "System Health",
	applicationSettings: "Application Settings",
	fields: "Fields",
	fieldId: "Field ID",
	fieldTitle: "Field Title",
	fieldType: "Input Element Type",
	options: "Options",
	defaultValue: "Default Value",
	relatedTo: "Related To",
	separatedByCommas: "(Separated by commas)",
	textField: "Text Field",
	comboBoxField: "Selection Field",
	multiSelectField: "Multi Select Field",
	checkBoxField: "Check Box Field",
	textAreaField: "Text Area Field",
	addField: "Add new Custom Field",
	user: "User",
	ticket: "Ticket",
	fieldOrder: "Field Position",
	editField: "Edit Custom Field",
	userAccess: "User Access",
	UserAndAgentCanInputValue: "User and Agent can input/see value",
	JustAgentCanInputValue: "Just Agent can input/see value",
	agentNameFormat: "Agent Name [example@example.com]",
	accountNameFormat: "Account From Name [example@example.com]",
	plainMailFormat: "account@email.com",
	fromNameFormat: "From Name Format",
	additionalUserInformation: "Additional User Information",
	saveChanges: "Save Changes",
	customFieldsSaved: "Custom Fields Saved",
	ticketCustomFields: "Custom Fields:",
	showCustomFields: "Show Custom Fields",
	hideCustomFields: "Hide Custom Fields",
	addComment: "Add Comment",
	download: "Download",
	preview: "Preview",
	hidePreview: "Hide Preview",
	ShowCustomFieldsFilter: "Show custom fields Filter",
	HideCustomFieldsFilter: "Hide custom fields Filter",
	checked: "is Checked",
	notChecked: "is Not Checked",
	relatedToUser: "Field related to user",
	relatedToTicket: "Field related to ticket",
	showHtml: "Show HTML Body",
	showText: "Show Text Body",
	selectNotificationEvent: "Select at least one notification event!",
	queueID: "Queue ID: ",
	KnowledgeBaseTree: "Knowledgebase Tree",
	SubentriesOf: "Subentries of ",
	undefined: "Undefined",
	addKnowledge: "Add Knowledge",
	editKnowledge: "Edit Knowledge",
	fullTextSearch: "Full text search",
	subentries: "Tree levels",
	showJustOneLevelSubentries: "Show just one level subentries",
	showAllSubentries: "Show all levels subentries",
	AttachedFiles: "Attached files",
	caseSensitive: "(Case sensitive)",
	caseInsensitive: "(Case insensitive)",
	attachmentsCount: "Attachments",
	knowledgeBaseConfiguration: "Knowledgebase Configuration",
	knowledgeBaseURL: "Knowledgebase Url",
	knowledgeBaseURLHelp: "Type in URL of main Knowledgebase directory",
	knowledgeBasePath: "Knowledgebase Directory",
	knowledgeBasePathHelp: "Type in full path to your Knowledgebase directory on your file system. This directory should be writable for php process (jobs.php) executed on server in background.",
	KnowledgeBaseURLNotSet: "Knowledgebase URL is not set! Fix it in Settings -> Configuration menu.",
	KnowledgeBasePathNotSet: "Path to Knowledgebase direcotry is not set! Fix it in Settings -> Configuration menu.",
	KnowledgeBasePathDoesNotExist: "Defined Knowledgebase directory does not exist on file system!",
	KnowledgeBasePathIsNotWriteable: "Defined Knowledgebase directory is not writable for background process! Please correct permissions on this directory.",
	FailedToDeleteOldKBFiles: "Failed to delete old Knowledgebase Files, new Knowledgebase data were not generated. Check permissions of Knowledgebase directory.",
	FailedToGenerateKBItemFile: "Failed to generate Knowledgebase entry file",
	regenerateKB: "Regenerate",
	kbWillBeRegenerated: "Knowledgebase will be regenerated within one minute.",
	knowledgeRefresh: "Knowledgebase refresh",
	knowledgeRefreshHelp: "Select when will be files in Knowledgebase generated to html structure. <br />Automatic refresh - HTML content will be generated right after any change in entries,<br/>Only manual refresh - Knowledgebase HTML content will be generated only by manual requests",
	automaticRefresh: "Automatic refresh",
	onlyManualRefresh: "Only manual refresh",
	insertToText: "Insert to text",
	notAllowedInTextMode: "Not allowed in text mode",
	downloads: "Downloads",
	ticketsFilter: "Tickets filter",
	monitoredEvents: "Monitor following events in ticket",
	attachment: "Attachment",
	InvalidSearchQuery: "Invalid Search Queuery",
	knowledgeBaseModule: "Knowledgebase Module",
	knowledgeBaseModuleHelp: "If you will switch off Knowledgebase module, SupportCenter will not generate html content from Knowledgebase items and no suggestions will be offered to customers during ticket submission",
	KnowledgeBaseNotActivated: "Knowledgebase module is not activated.",
	Searching: "Searching",
	reviewSuggestionsBeforeSubmit: "Knowledgebase Suggestions",
	userSignedUp: "Account created.",
	wysiwygEditorConfiguration: "WYSIWYG Editor Configuration",
	defaultFont: "Default Font",
	defaultFontHelp: "Select default font for wysiwyg editor",
	defaultFontSize: "Default Font Size",
	defaultFontSizeHelp: "Select default font size in wysiwyg editor",
	agentSeeJustAgentsFromHisQueues: "Agent can see just agents from his Queues",
	agentSeeJustAgentsFromHisQueuesHelp: "If option is not checked, agent can see all agents and administrators registered in application. If it is checked, your agents will see no administrators and just agents assigned to queues, where your agent has rights to see tickets. If you have at least one public Queue, your agent will see all agents even you will activate this option !",
	agentUserAccess: "Agent's User Access",
	agentUserAccessHelp: "Select types of users, which agent can see in Users section",
	seeUsers_Agents_Admins: "Users, Agents, Admins",
	seeUsers_Agents: "Users, Agents",
	seeUsers: "Users",
	noAccessToUsers: "No access to users",
	disableMailGateway: "Disable Mail Gateway",
	disableMailGatewayHelp: "If you disable Mail Gateway module, agents and admins will not be able to define mail forwarding to their mailbox and also mails from your agents sent through common mail clients will not be routed automatically to customers. Functionality of helpdesk system and sending/receiving of mails from/to SupportCenter will not be changed by this setting !",
	escalationRules: "Escalation Rules",
	lastExecution: "Last Execution",
	ruleCondition: "Rule Condition: Execute rule only if",
	lastReply: "Last Change",
	ticketAge: "Ticket Age",
	ruleAction: "Rule Action",
	noChange: "No Change",
	NewRule: "New Rule",
	atOverDueTime: "At Overdue Time",
	_1hourBeforeOverDueTime: "1 Hour before Over Due",
	_2hoursBeforeOverDueTime: "2 Hours before Over Due",
	_3hoursBeforeOverDueTime: "3 Hours before Over Due",
	_6hoursBeforeOverDueTime: "6 Hours before Over Due",
	_12hoursBeforeOverDueTime: "12 Hours before Over Due",
	moreThan1Hour: "More Than 1 Hour",
	moreThan2Hours: "More Than 2 Hours",
	moreThan3Hours: "More Than 3 Hours",
	moreThan4Hours: "More Than 4 Hours",
	moreThan5Hours: "More Than 5 Hours",
	moreThan6Hours: "More Than 6 Hours",
	moreThan7Hours: "More Than 7 Hours",
	moreThan8Hours: "More Than 8 Hours",
	moreThan9Hours: "More Than 9 Hours",
	moreThan10Hours: "More Than 10 Hours",
	moreThan11Hours: "More Than 11 Hours",
	moreThan12Hours: "More Than 12 Hours",
	moreThan15Hours: "More Than 15 Hours",
	moreThan18Hours: "More Than 18 Hours",
	moreThan1Day: "More Than 1 Day",
	moreThan36Hours: "More Than 36 Hours",
	moreThan2Days: "More Than 2 Days",
	moreThan3Days: "More Than 3 Days",
	moreThan4Days: "More Than 4 Days",
	moreThan5Days: "More Than 5 Days",
	moreThan6Days: "More Than 6 Days",
	moreThan1Week: "More Than 1 Week",
	moreThan2Weeks: "More Than 2 Weeks",
	moreThan3Weeks: "More Than 3 Weeks",
	moreThan4Weeks: "More Than 4 Weeks",
	selectRuleTimeCondition: "Please select at least one time condition before save!",
	selectRuleAction: "Please select at least one Rule Action before save !",
	deleteTicketUsers: "Delete Ticket Users with deleted Tickets",
	moreThan8Weeks: "More Than 8 Weeks",
	moreThan12Weeks: "More Than 12 Weeks",
	disableNotifications: "Disable Notifications",
	disableNotificationsHelp: "If you will disable notifications, notifications menu will be hidden for all users in MyProfile section as well as in Settings section. Functionality will be deactivated also in SupportCenter core and no notification will be delivered.",
	quickSearch: "Quick Fulltext Search",
	OpenKnowledgeBase: "Open Knowledgebase",
	addToMail: "Add to Mail",
	attachedFiles: "Attached Files:",
	selectItem: "No Item selected. Please select any item from tree.",
	KnowledgeBaseSuggestionsForTiket: "Suggestions for ticket ",
	showPriorityInSubmitForm: "Show Priority field in Ticket Submit Form",
	showPriorityInSubmitFormHelp: "If option activated, user will see on login page in submit ticket form also priority field.",
	failedSelectAssignedAgentsToAccount: "Failed to Select Assigned Agents To Mail Account",
	failedUnsetOfMailAccount: "Failed to unset mail account.",
	failedToListTicketMails: "Failed to list Ticket Mails",
	failedTicketsReport: "Failed to compute Ticket Report",
	failedToLoadMailIds: "Failed to load Mail Ids",
	failedDeleteCustomFieldsValues: "Failed to delete Custom Fields Values",
	failedToLoadFileIds: "Failed to load File Ids",
	failedToListTicketAttachments: "Failed to List Ticket Attachments",
	failedToListTicketUsers: "Failed to List Ticket Users",
	failedToListTicketHistory: "Failed to List Ticket History",
	failedToLoadParentMail: "Failed to load Parent Mail",
	failedToLoadParentTicket: "Failed to load Parent Ticket",
	failedToSendEmail: "Failed to send Email",
	passwordTooShort: "Password is too Short",
	passwordTooLong: "Password is too Long",
	passwordSameAsName: "Password can't be the same as Name",
	passwordSameAsEmail: "Password can't be the same as Email",
	failedToCheckUserType: "Failed to check User Type",
	failedDeleteUserNotifications: "Failed to delete user Notifications",
	sendNotificationIf: "Send Notification If",
	saved: "saved",
	unknown: "unknown",
	computedHtmlText: "Computed Html Text",
	HTMLText: "Html Text",
	computedHTMLVariables: "Predefined variables:<br/>${customer_email}, ${customer_name}, ${ticket_id},<br/>${ticket_subject}, ${ticket_owner}, ${queue_name},<br/>${custom_[field_id]}",
	ruleWrongQueueSetup: "Rule ${1} contains wrong setup of Queue assignment !",
	ruleWrongUserSetup: "Wrong rule setup - user is not valid",
	accountReadingIsStillRunning: "POP Account (${1}) extraction is still running.",
	loginPop3: "Logged in to pop3_server: ${1} with username ${2}",
	pop3InfoMessage: "Account ${1} contains ${2} messages with a total of ${3} bytes",
	pop3StatisticFailed: "Failed to retrieve account statistics: ${1} and username ${2} with error message: ${3}",
	pop3ConnectionClosed: "Closed connection to pop3 server: ${1}",
	failedToCloseConnection: "Failed to close connection to pop3 server: ${1} with error message: ${2}",
	pop3FailedLogin: "Failed to login to pop3 server: ${1} and username ${2} with error message: ${3}",
	failedToReleaseAccount: "Failed to release mail account ${1} with error: ${2}",
	failedToConnectToPop3: "Failed to connect to pop3 server: ${1} with error message: ${2}",
	failedMessageExistanceCheck: "Failed to check if exists ${1} already in database with error: ${2}",
	failedUpdateLastParsedMessage: "Failed to update last parsed message for account ${1} with error: ${2}",
	messageMarkedAsDeleted: "Message ${1} marked as deleted from pop3 account ${2}",
	mailAlreadyInDatabase: "Mail ${1} is already in database",
	failedToListMessagesFromPop3: "Failed to list messages from server: ${1} with error message: ${2}",
	failedToDecodeMessage: "Failed to decode message ${1} with error ${2}",
	failedToOpenMessage: "Failed to open message ${1} with error message: ${2}",
	emailReceived: "Received email from ${1} with subject ${2}",
	failedToSelectMail: "Failed to select mail: ${1}",
	failedToSelectMailAccount: "Failed to select Mail Account with error: ${1}",
	mailReplySent: "${1} sent email with subject ${2}",
	anotherUsersReplying: "Another users are replying this ticket: ${1}",
	userCreated: "User ${1} created",
	insertUserFailed: "Failed to insert user ${1}",
	search: "Search",
	language: "Language",
	SubmitNewTicket: "Submit New Ticket",
	CommunityForums: "Community Forums",
	SearchResults: "Search Results",
	Knowledgebase: "Knowledgebase",
	Login: "Login",
	description: "Description",
	KnowledgebaseSuggestions: "Knowledgebase Suggestions",
	MailGateways: "Mail Gateways",
	computeDue: "Compute Due Time",
	mailSentFromOutbox: "Mail with subject ${1} sent to ${2}",
	failedToSendMailFromOutbox: "Failed to send mail with subject ${1} to ${2}",
	LDAPAuthenticationFailed: "LDAP Authentication Failed",
	installGoogleGears: "Install Google Gears to optimize SupportCenter Speed",
	dueTimeFrom: "Due Time Base",
	fromLastTicketUpdate: "Last Ticket Update",
	fromTicketCreated: "Ticket Age",
	selectVariableToAdd: "Select variable to add to notification body",
	TicketId: "Ticket Id",
	TicketSubject: "Ticket Subject",
	MailBody: "Mail Body",
	TicketOwner: "Ticket Owner",
	TicketPriority: "Ticket Priority",
	TicketStatus: "Ticket Status",
	TicketQueue: "Ticket Queue",
	TicketUrl: "Ticket Url",
	TicketLink: "Ticket HTML Link",
	AnswerTime: "Answer Time",
	CustomerEmail: "Customer Email",
	CustomerName: "Customer Name",
	ChangedBy: "Changed By",
	OldPriority: "Old Priority",
	OldStatus: "Old Status",
	OldOwner: "Old Owner",
	OldQueue: "Old Queue",
	customFieldsMatch: "Custom fields match",
	disabled: "Disabled",
	matchInBody: "Match value in mail body",
	matchInHeader: "Match value in mail headers",
	RegExp_: "Match RegExp: ",
	ConditionValue: "Condition Value: ",
	conditionIsNotRequired: "(Condition is not required to fill)",
	useDefaultMailAccount: "Use default Mail Account",
	fromMailAccount: "From Mail Account",
	callUrl: "Call URL",
	defaultSignature: "Default Signature",
	customizeSignaturePerQueue: "Customize Signature per Queue",
	close_: "Close",
	useDefaultSignature: "Use default signature",
	customSignature: "Custom signature",
	Signature: "Signature",
	customFromMailAddress: "Custom From mail address",
	workReporting: "Work reporting",
	workReport: "Work Report",
	workReportingHelp: "If enabled, agent can report work to each ticket (separatelly billed work to customer and work spent with ticket)",
	billingTime: "Billing time [hh:mm or mm]:",
	workTime: "Work time [hh:mm or mm]:",
	note: "Note about work:",
	autoTimeCalculation: "Automatic Time Calculation",
	billing: "Billing",
	spentTime: "Spent Time",
	reported: "Reported",
	ticketCreated: "Ticket Created",
	replyTime: "Reply Time",
	billedTime: "Billed Time",
	wildCardDescription: "Use % as wildcard",
	Average: "Average",
	Summary: "Summary",
	hrs: " h",
	mins: " m",
	secs: " s",
	ReportStatistic: "Report Statistic",
	templateName: "Template Name",
	TemplateQueue: "Queue",
	isTemplateDefined: "Is template defined ?",
	useGlobalTemplate: "Use Global Template",
	GlobalTemplate: "Global Template",
	htmlBody: "HTML Body",
	textBody: "Text Body",
	editTemplate: "Edit Mail Template",
	templateVariables: "Template variables",
	VariablesCoverMail: "${subject}, ${body}",
	VariablesRegistrationMail: "${name}, ${username}, ${password}, ${appUrl}",
	VariablesRequestNewPasswordMail: "${name}, ${username}, ${password}, ${appUrl}",
	moreThan15Minutes: "More Than 15 Minutes",
	moreThan30Minutes: "More Than 30 Minutes",
	moreThan45Minutes: "More Than 45 Minutes"
}